extends layout


block content

    nav.navbar.navbar-default.navbar-fixed-top
        .navbar-header
            a.navbar-brand(href='#')
                p Web Front End ServerName : #{servername}
        .container
            p.navbar-text.navbar-right
                | Hi you are login as
                b  #{user_email}
                |  (
                a(href='/logout/') Logout
                | )
    div(style='margin-top:100px;margin-left:50px;width:400px')
        textarea#statusbox.form-control(rows='10', cols='5')
        br
        input#addNewStatus.btn.btn-primary(type='submit', value='Post')
        br
        #showStatus(style='border : 2px grey; border-radius : 4px;')

    script(type='text/javascript').
        $(document).ready(function () {
            $.get("/fetchStatus", function (res) {
                $.each(res.message, function (index, value) {
                    $("#showStatus").append('You have posted <br> <p>' + value.user_status + '</p><hr>');
                });
            });
            $("#addNewStatus").click(function (e) {
                e.preventDefault();
                if ($("#statusbox").text !== "") {
                    $.post("/addStatus", {status: $("#statusbox").val()}, function (res) {
                        if (!res.error) {
                            //alert(res.message);
                            $("#statusbox").text('');
                            $.get("/fetchStatus", function (res) {
                                $("#showStatus").html("");
                                $.each(res.message, function (index, value) {
                                    $("#showStatus").append('You have posted <br> <p>' + value.user_status + '</p><hr>');
                                });
                            });
                        }
                    })
                }
            });
        });